summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorEmmanuele Bassi <ebassi@openedhand.com>2008-04-09 10:51:15 +0000
committerEmmanuele Bassi <ebassi@openedhand.com>2008-04-09 10:51:15 +0000
commitcf4ba6c512377113c014a6cf675fc3096cf38dfd (patch)
treebd2c529ad355bc56cffd60e28b797bc1234d5995 /autogen.sh
parentb4ab8b63a147b27cd1f7d68c16534d7a93322e42 (diff)
downloadclutter-cf4ba6c512377113c014a6cf675fc3096cf38dfd.tar.gz
2008-04-09 Emmanuele Bassi <ebassi@openedhand.com>
* autogen.sh: Clean up a bit * clutter/clutter-fixed.[ch]: (clutter_double_to_fixed), (clutter_double_to_int), (clutter_double_to_uint): Make these functions public, as they are expanded by their respective macros. This fixes the errors from the linker trying to resolve their name.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 18 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index 1836f8b74..9c61882c0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,7 +1,22 @@
#! /bin/sh
-gtkdocize || exit 1
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PROJECT=Clutter
+TEST_TYPE=-d
+FILE=clutter
+
+test $TEST_TYPE $FILE || {
+ echo "You must run this script in the top-level $PROJECT directory"
+ exit 1
+}
+
+gtkdocize || exit $?
# back in the stupidity of autoreconf
-autoreconf -v --install || exit 1
+autoreconf -v --install || exit $?
+
+./configure "$@" ${GTK_DOC_ARGS}
-./configure "$@"
+echo "Now type 'make' to compile $PROJECT."